> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Section



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json put /v2/projects/{project_id}/log_streams/{log_stream_id}/trends/sections/{section_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/log_streams/{log_stream_id}/trends/sections/{section_id}:
    put:
      tags:
        - trends_dashboard
      summary: Update Section
      operationId: >-
        update_section_v2_projects__project_id__log_streams__log_stream_id__trends_sections__section_id__put
      parameters:
        - name: section_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Section Id
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: log_stream_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Log Stream Id
        - name: trends_dashboard_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid4
              - type: 'null'
            title: Trends Dashboard Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SectionUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SectionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
components:
  schemas:
    SectionUpdateRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Description
        color:
          anyOf:
            - type: string
              maxLength: 7
              pattern: ^#[0-9A-Fa-f]{6}$
            - type: 'null'
          title: Color
      type: object
      title: SectionUpdateRequest
    SectionResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        widgets:
          items:
            $ref: '#/components/schemas/WidgetResponse'
          type: array
          maxItems: 50
          title: Widgets
      type: object
      required:
        - id
        - name
      title: SectionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WidgetResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        type:
          $ref: '#/components/schemas/WidgetType'
        dataset:
          anyOf:
            - items:
                additionalProperties:
                  items:
                    type: string
                  type: array
                type: object
              type: array
              maxItems: 50
            - type: 'null'
          title: Dataset
        metric:
          type: string
          title: Metric
        aggregation:
          $ref: '#/components/schemas/MetricAggregation'
        section_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Section Id
      type: object
      required:
        - id
        - name
        - type
        - metric
        - aggregation
      title: WidgetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WidgetType:
      type: string
      enum:
        - bar_chart
        - line_chart
        - number
        - table
      title: WidgetType
    MetricAggregation:
      type: string
      enum:
        - Count
        - Sum
        - Average
        - Min
        - Max
        - P50
        - P90
        - P95
        - P99
        - PercentageFalse
        - PercentageTrue
      title: MetricAggregation
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login

````